Summary:	Programs for backing up and restoring filesystems
Name:		dump
Version:	0.4b47
Release:	%mkrel 3
License:	BSD
Group:		Archiving/Backup
URL:		https://dump.sourceforge.net/
Source: 	https://sourceforge.net/projects/dump/files/dump/%{version}/%{name}-%{version}.tar.gz
Patch3:		dump-0.4b37-compile-fix.patch
Patch4:		dump_progname_mips.patch

BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	e2fsprogs-devel
BuildRequires:	liblzo-devel
BuildRequires:	termcap-devel

Requires:	rmt = %{version}-%{release}

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

%package -n	rmt
Summary:	Provides certain programs with access to remote tape devices
Group:		Archiving/Backup
Provides:	/sbin/rmt

%description -n	rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%prep
%autosetup -p1

rm -f compat/include/{lzoconf,minilzo}.h
rm -f compat/lib/minilzo.c

%build
autoreconf -fi
%configure \
	--with-manowner=root \
	--with-mangrp=root \
	--with-manmode=644 \
	--enable-ermt \
	--disable-kerberos \
	--disable-transselinux

%make_build OPT="%{optflags} -fPIC -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
%make_install

for i in dump restore; do
  mv %{buildroot}%{_sbindir}/$i %{buildroot}%{_sbindir}/$i.ext3
  ln -s $i.ext3 %{buildroot}%{_sbindir}/$i.ext2
  ln -s $i.ext3 %{buildroot}%{_sbindir}/$i
done

pushd %{buildroot}
  mkdir .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -s ..%{_sbindir}/rmt ./%{_sysconfdir}/rmt
popd

%files
%doc AUTHORS ChangeLog KNOWNBUGS NEWS README REPORTING-BUGS TODO MAINTAINERS dump.lsm
%license COPYING
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
#attr(6755,root,tty)	{_sbindir}/dump
%{_sbindir}/dump*
#attr(6755,root,tty)	{_sbindir}/restore
%{_sbindir}/restore*
%{_sbindir}/rdump
%{_sbindir}/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files -n rmt
%license COPYING
%{_sbindir}/ermt
%{_sbindir}/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.4b47-3.mga9
+ Revision: 1833620
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.4b47-2.mga9
+ Revision: 1747380
- rebuild for openssl 3.0.0

* Thu Mar 11 2021 daviddavid <daviddavid> 0.4b47-1.mga9
+ Revision: 1701280
- new version: 0.4b47

* Wed Aug 19 2020 martinw <martinw> 0.4b46-8.mga8
+ Revision: 1615973
- fix build with GCC 10
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 0.4b46-7.mga8
+ Revision: 1542122
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.4b46-6.mga8
+ Revision: 1475940
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 0.4b46-5.mga7
+ Revision: 1297522
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 0.4b46-4.mga7
+ Revision: 1189421
- rebuild for new readline

* Sat Sep 09 2017 cjw <cjw> 0.4b46-3.mga7
+ Revision: 1152222
- patch5: fix build with openssl 1.1

* Sun Aug 27 2017 daviddavid <daviddavid> 0.4b46-2.mga7
+ Revision: 1148367
- build against compat-openssl 1.0

* Fri Nov 11 2016 luigiwalser <luigiwalser> 0.4b46-1.mga6
+ Revision: 1066480
- 0.4b46
- remove patches 5-8 (fixed upstream)

* Mon Aug 29 2016 ghibo <ghibo> 0.4b45-2.mga6
+ Revision: 1049418
- Merged Patches6,7 from Fedora to fix bug#19247.
- Merged Patch8 from Fedora (bug RH#1048548).

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.4b45-1.mga6
+ Revision: 1045556
- 0.4b45
- rediff patch4
- remove patches 0, 2, 5, 6 (fixed upstream)
- add patch to fix linking with libcrypto
- BR full liblzo now, not just minilzo

* Thu Feb 11 2016 umeabot <umeabot> 0.4b44-9.mga6
+ Revision: 953800
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.4b44-8.mga6
+ Revision: 867859
- rebuild for new gcc

* Wed Feb 25 2015 luigiwalser <luigiwalser> 0.4b44-7.mga5
+ Revision: 817006
- add patch from fedora to build against system minilzo

* Wed Oct 15 2014 umeabot <umeabot> 0.4b44-6.mga5
+ Revision: 749473
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4b44-5.mga5
+ Revision: 678879
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 oden <oden> 0.4b44-4.mga5
+ Revision: 671362
- bump the bundled lzo-1.08 code to lzo-2.08 (CVE-2014-4607)

* Fri Oct 18 2013 umeabot <umeabot> 0.4b44-3.mga4
+ Revision: 503945
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4b44-2.mga3
+ Revision: 349173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dams <dams>
- clean specfile

* Fri Sep 07 2012 luigiwalser <luigiwalser> 0.4b44-1.mga3
+ Revision: 289597
- 0.4b44
- remove rh507948 patch (merged upstream)
- remove no longer needed selinux patch
- add build fix patch from fedora
- call autoreconf instead of autoconf to fix build
- minor spec cleanups

* Tue Jan 11 2011 blino <blino> 0.4b42-2.mga1
+ Revision: 6374
- imported package dump


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4b42-2mdv2011.0
+ Revision: 604832
- rebuild

* Mon Feb 22 2010 Emmanuel Andry <eandry@mandriva.org> 0.4b42-1mdv2010.1
+ Revision: 509739
- New version 0.4b42
- add p5 from fedora (fix multivol backup issues)
- diff p6 to remove need of selinux

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 0.4b41-10mdv2010.0
+ Revision: 448262
- buildrequire e2fsprogs-devel for ext2fs library
- fix FTBFS (from Arnaud Patard)
  This is a  consequence of the non-pic support in binutils/gcc:
  o doesn't default to PIC anymore so needs to build with -fPIC
  o binutils are more picky about symbols

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0.4b41-9mdv2010.0
+ Revision: 384366
- Switch to libblkid-devel

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 0.4b41-8mdv2009.1
+ Revision: 344658
- rebuild for new libreadline

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4b41-7mdv2009.1
+ Revision: 316618
- rediffed one fuzzy patch

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4b41-6mdv2009.0
+ Revision: 220708
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.4b41-5mdv2008.1
+ Revision: 149680
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4b41-4mdv2008.0
+ Revision: 89605
- rebuild

* Tue Jun 26 2007 Adam Williamson <awilliamson@mandriva.org> 0.4b41-3mdv2008.0
+ Revision: 44247
- bunzip patches, rebuild for 2008
- Import dump



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.4b41-2mdv2007.0
- Rebuild

* Fri Jul 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4b41-1mdv2007.0
- 0.4b41

* Sun May 28 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4b40-7mdk
- %%mkrel

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4b40-6mdk
- rebuild for sparc

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.4b40-5mdk
- Rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.4b40-4mdk
- Rebuild

* Mon Aug  8 2005 Pixel <pixel@mandriva.com> 0.4b40-3mdk
- dump & restore are now named dump.ext3 & restore.ext3
- still keep dump & restore for compatibility, 
  but as symlinks to make it more explicit it's only for ext2/ext3 

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.4b40-2mdk
- Remove alternative install for rmt, always install in /sbin

* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.4b40-1mdk
- 0.4b40
- Fix postun alternative install for rmt

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4b37-2mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Thu Jul 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4b37-1mdk
- 0.4b37
- fix build (P3)

* Tue May 25 2004 Abel Cheung <deaddog@deaddog.org> 0.4b36-1mdk
- Drop P1, krb5 doesn't bundle libcom_err now
- Use alternative for rmt (tar provides rmt too)

* Mon Jan  5 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4b34-2mdk
- make sure to check for <sys/types.h> prior to actual types like quad_t

* Fri Nov 28 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.4b34-1mdk
- 0.4b34 (#147)

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4b32-2mdk
- rebuild
- use %%make macro

* Wed Jan 15 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4b32-1mdk
- Bump to version 0.4b32.

* Wed Jun 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4b28-2mdk
- rpmlint fixes: hardcoded-library-path

* Mon Jun 08 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b28-1mdk
- Build a 0.4b28 for cooker users.

* Mon Apr 08 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b27-1mdk
- Build a dump 0.4b27.

* Sun Nov 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b25-1mdk
- Build a 0.4b25.

* Sun Oct 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b24-2mdk
- Work around when krb5-devel is not installed.

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b24-1mdk
- Dump 0.4b24.
- Work around libcom_err conflict of e2fsprogs / krb5 with a genius hack.

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4b23-3mdk
- BuildRequires: krb5-devel (-lcom_err is no longer provided with
  e2fsprogs-devel)

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b23-2mdk
- Sanity build for 8.1.

* Fri Jul 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b23-1mdk
- Newest, shiniest, best-thing-ever-since-sliced-bread release.

* Sat Jun 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b22-2mdk
- s/Copyright/License/;
- Finally remember to bring my brain to work and so this time the Source
  URL should be correct.
  
* Sun May 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b22-1mdk
- Remove the glibc 2.2.2 patch from the last release.
- New and shiny dump 0.4b22.

* Wed Mar 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b21-2mdk
- Include time.h in optr.c.

* Sun Jan 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b21-1mdk
- new and shiny source.

* Sun Nov 12 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b20-1mdk
- new and shiny version to avoid potential security hole.

* Wed Nov 08 2000 Geoffrey Lee <snailtalk@mandrkaesoft.com> 0.4b19-3mdk
- don't pass suid permissions to %%configure.

* Tue Aug 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.4b19-2mdk
- Corrected licence
- Adding url

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b19-1mdk
- s|0.4b18|0.4b19|.

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4b18-2mdk
- rebuild for the BM
- use more new macros (titiscks)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4b18-1mdk
- new release (potential SECURITY FIX)
- use new macros

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 0.4b16-3mdk
- Remove the sgid (tty) on binaries files.

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 0.4b16-2mdk
- Update to 4b16

* Mon Mar 13 2000 David BAUDNS <baudens@mandrakesoft.com> - 0.4b10-2mdk
- Fix %%{doc}
- Use new Groups
- Use %%{_tmppath} for BuildRoot  

* Mon Nov 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.4b10.

* Mon Nov  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.4b9.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix danglings symlinks.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge rh patchs.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add modification from RedHat 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- add de locale

* Fri Feb 19 1999 Preston Brown <pbrown@redhat.com>
- upgraded to dump 0.4b4, massaged patches.

* Tue Feb 02 1999 Ian A Cameron <I.A.Cameron@open.ac.uk>
- added patch from Derrick J Brashear for traverse.c to stop bread errors

* Wed Jan 20 1999 Jeff Johnson <jbj@redhat.com>
- restore original 6755 root.tty to dump/restore, defattr did tty->root (#684).
- mark /etc/dumpdates as noreplace.

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- add build root.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for resolving linux/types.h and sys/types.h conflicts

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added prototype of llseek() so dump would work on large partitions

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- made all symlinks relative instead of absolute

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved rmt to its own package.

* Tue Feb 11 1997 Michael Fulbright <msf@redhat.com>
- Added endian cleanups for SPARC

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com> 
- Made /etc/dumpdates writeable by group disk.
